Import portable task archive
POST
/tasks/importApplies the agent mapping to a .pa-task-export archive and creates the task on the current deployment.
Contract
Parameter | Value |
|---|---|
| Section | tasks |
| Authentication | CookieAuth |
| Consumes | multipart/form-data |
| Produces | application/json |
Parameters
2 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| file | formData | yes | file | .pa-task-export archive |
| mappings | formData | no | string | Agent/PCI mapping JSON |
{}
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Created task ID | object |
400 | Invalid archive or mapping | object |
401 | Unauthorized | object |
500 | Failed to create task | object |
{ "<key>": 0 }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }